%define gtkbinaryver %(pkg-config gtk+-2.0 --variable=gtk_binary_version)
%define clearlooks 0.6.2

Summary: Themes for GNOME
Name: gnome-themes
Version: 2.16.0
Release: 1mdv2007.0
License: GPL
Group: Graphical desktop/GNOME
URL: http://www.gnome.org
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
Source1: http://prdownloads.sourceforge.net/clearlooks/clearlooks-%clearlooks.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
Requires: gnome-icon-theme
BuildRequires: gtk-engines2 >= 2.2.0-2mdk
BuildRequires:	libgnomeui2-devel
BuildRequires:	libglade2.0-devel
BuildRequires:  icon-naming-utils >= 0.8.0
BuildRequires:  perl-XML-Parser
Conflicts: gtk-engines2 < 2.6
Conflicts: gnome-themes-extras <= 0.8.1-4mdk
Requires: gtk-engines2 >= 2.6
BuildArch: noarch

%description
This packages contains Themes for GNOME, such as :
- Clearlooks
- High Contrast
- Large Print
- Low Constrat

%prep
%setup -q -a 1

%build

./configure --prefix=%_prefix --libdir=%_libdir --enable-all-themes
cd clearlooks-%clearlooks
./configure --prefix=%_prefix --libdir=%_libdir

%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std GTK_BINARY_VERSION=%gtkbinaryver
#remove unpackaged files (not needed, since l10n is already in generated files)
rm -rf $RPM_BUILD_ROOT%{_datadir}/locale 
cd clearlooks-%clearlooks/themes
%makeinstall_std
# this is in gtk-engines2
rm -rf %buildroot%_datadir/themes/Clearlooks/gtk-2.0

for dir in %buildroot%{_datadir}/icons/*; do
 touch $dir/icon-theme.cache
done

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache Clearlooks
%update_icon_cache HighContrastInverse
%update_icon_cache LargePrint
%update_icon_cache Mist
%update_icon_cache Crux
%update_icon_cache HighContrastLargePrint
%update_icon_cache LowContrast
%update_icon_cache HighContrastLargePrintInverse 
%update_icon_cache LowContrastLargePrint
%update_icon_cache HighContrast
%update_icon_cache HighContrast-SVG

%postun
%clean_icon_cache Clearlooks
%clean_icon_cache HighContrastInverse
%clean_icon_cache LargePrint
%clean_icon_cache Mist
%clean_icon_cache Crux
%clean_icon_cache HighContrastLargePrint
%clean_icon_cache LowContrast
%clean_icon_cache HighContrastLargePrintInverse 
%clean_icon_cache LowContrastLargePrint
%clean_icon_cache HighContrast
%clean_icon_cache HighContrast-SVG

%files
%defattr(-,root,root,-)
%doc README ChangeLog NEWS AUTHORS 
%{_datadir}/themes/*
%dir %{_datadir}/icons/*
%{_datadir}/icons/*/??x??
%{_datadir}/icons/*/scalable
%{_datadir}/icons/Clearlooks/index.theme
%{_datadir}/icons/Crux/index.theme
%{_datadir}/icons/HighContrast-SVG/index.theme
%{_datadir}/icons/HighContrast/index.theme
%{_datadir}/icons/HighContrastInverse/index.theme
%{_datadir}/icons/HighContrastLargePrint/index.theme
%{_datadir}/icons/HighContrastLargePrintInverse/index.theme
%{_datadir}/icons/LargePrint/index.theme
%{_datadir}/icons/LowContrast/index.theme
%{_datadir}/icons/LowContrastLargePrint/index.theme
%{_datadir}/icons/Mist/index.theme
%ghost %{_datadir}/icons/*/icon-theme.cache

%changelog
* Tue Sep 05 2006 Götz Waschk <waschk@mandriva.org> 2.16.0-1mdv2007.0
- New version 2.16.0

* Fri Sep 01 2006 Götz Waschk <waschk@mandriva.org> 2.15.92-1mdv2007.0
- rebuild for new clean_icon_cache macro

* Wed Aug 30 2006 Gtz Waschk <waschk@mandriva.org> 2.15.92-2mdv2007.0
- fix uninstallation

* Mon Aug 21 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.92-1mdv2007.0
- Release 2.15.92

* Tue Aug 08 2006 Götz Waschk <waschk@mandriva.org> 2.15.91.1-1mdv2007.0
- New release 2.15.91.1

* Tue Aug  8 2006 Gtz Waschk <waschk@mandriva.org> 2.15.91-1mdv2007.0
- update file list
- fix buildrequires
- New release 2.15.91

* Thu Jul 27 2006 Gtz Waschk <waschk@mandriva.org> 2.15.90-2mdv2007.0
- fix uninstallation

* Tue Jul 25 2006 Götz Waschk <waschk@mandriva.org> 2.15.90-1
- New release 2.15.90

* Mon Jul 10 2006 Götz Waschk <waschk@mandriva.org> 2.15.4-1mdv2007.0
- New release 2.15.4

* Tue Jun 13 2006 Götz Waschk <waschk@mandriva.org> 2.15.3-1
- New release 2.15.3

* Thu Jun 01 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.2-1mdv2007.0
- Release 2.15.2

* Mon May 29 2006 Götz Waschk <waschk@mandriva.org> 2.14.2-1mdv2007.0
- New release 2.14.2

* Wed Apr 12 2006 Frederic Crozat <fcrozat@mandriva.com> 2.14.0-1mdk
- Release 2.14.0

* Mon Feb 06 2006 Götz Waschk <waschk@mandriva.org> 2.12.3-1mdk
- New release 2.12.3
- use mkrel

* Sat Oct  8 2005 Gtz Waschk <waschk@mandriva.org> 2.12.1-3mdk
- don't delete the metacity theme

* Wed Oct  5 2005 Gtz Waschk <waschk@mandriva.org> 2.12.1-2mdk
- add clearlooks alternative themes and icons

* Wed Oct 05 2005 Frederic Crozat <fcrozat@mandriva.com> 2.12.1-1mdk
- Release 2.12.1

* Wed Jun 22 2005 Gtz Waschk <waschk@mandriva.org> 2.10.2-1mdk
- New release 2.10.2

* Mon Apr 18 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.1-1mdk 
- Release 2.10.1, based on Gtz Waschk package

* Mon Dec 27 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.8.2-2mdk
- this is now noarch
- remove files that were moved to gtk-engines2

* Sat Dec  4 2004 Goetz Waschk <waschk@linux-mandrake.com> 2.8.2-1mdk
- New release 2.8.2

* Tue Oct 19 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.0-1mdk
- New release 2.8.0

* Thu Jun 24 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.6.3-1mdk
- reenable libtoolize
- New release 2.6.3

* Tue Jun  8 2004 Goetz Waschk <waschk@linux-mandrake.com> 2.6.2-1mdk
- New release 2.6.2

* Wed Apr 21 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.1-2mdk
- Fix BuildRequires

* Tue Apr 20 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.1-1mdk
- New release 2.6.1

* Mon Apr 05 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.0-1mdk
- Release 2.6.0 (with Gtz Waschk help)

* Mon Apr 05 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.4.1-2mdk
- rebuild for gtk+-2.4 (because of theme engines path)

* Wed Nov  5 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.4.1-1mdk
- new version

* Tue Sep 09 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.0-1mdk
- Release 2.4.0

* Tue Aug 26 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.3.4-1mdk
- Release 2.3.4

* Tue Aug 12 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.3-1mdk
- Release 2.3.3

* Tue Jun 03 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.2.1-1mdk
- Release 2.3.2.1

* Wed May 07 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.2-1mdk
- Release 2.3.2

* Mon Apr 14 2003 Frederic Crozat <fcrozat@mandrakesoft.com 2.3.1-1mdk
- Release 2.3.1

* Mon Mar  3 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.2-2mdk
- Mandrake theme is dead, long life to Galaxy (bug #2635)

* Fri Feb  7 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2-1mdk
- Release 2.2
- Crux engine is now in gnome-theme

* Tue Jan 21 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0-1mdk
- Release 1.0

* Tue Jan  7 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7-1mdk
- Release 0.7

* Thu Dec 19 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6-1mdk
- Release 0.6

* Wed Dec 11 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5-1mdk
- Release 0.5

* Fri Nov 29 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4-1mdk
- Release 0.4

* Thu Nov 21 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3-1mdk
- Initial Mandrake package


